var ReactNative = require('react-native');
var {
    AsyncStorage
} = ReactNative;
var mode = 'production';
var https = null;
var https_ = null;
var wss = null;
var domain = '';
switch (mode) {
    case 'staging':
        domain = 'herocarcarestaging001.azurewebsites.net';
        break;
    case 'production':
        domain = 'herocarcare.azurewebsites.net';
        break;
    default:
        domain = 'hero-car-care-001.azurewebsites.net';
        break;
}
https_ = `https://${domain}`;
https = https_ + '/';
wss = `wss://${domain}/`;

export const DEFAULT_URL = https;
///export const DEFAULT_URL_ = 'https://herocarcare-v1.azurewebsites.net';
export const DEFAULT_URL_ = https_;
export const WS_DEFAULT_URL = wss
export const DEBUG_MODE = false;
export const setEnvironment = environment => {
    return AsyncStorage.setItem('ENVIRONMENT', environment);
}


export const setLocation = location => {
    return AsyncStorage.setItem('LOCATION', JSON.stringify(location));
}
export const getLocation = () => {
    return AsyncStorage.getItem('LOCATION').then(item => {
        if (item) {
            return JSON.parse(item);
        }
        return null;
    });
}

export const getDefaultWS = () => {
    return AsyncStorage.getItem('ENVIRONMENT').then(res => {
        // var env = Environments.default.find(x => x.name === res);
        // if (env) {
        //     return `wss://${env.address}/`;
        // }
        return wss;
    });
}

export const getCurrentEnvironment = () => {
    return AsyncStorage.getItem('ENVIRONMENT');
}

export const getDefaultURL = (add) => {
    add = add || ''
    return AsyncStorage.getItem('ENVIRONMENT').then(res => {
        // var env = Environments.default.find(x => x.name === res);
        // if (env) {
        //     return `https://${env.address}${add}`;
        // }
        return https_ + add;
    });
}

export const IceConfiguration = () => {
    return Promise.resolve().then(() => {
        return { "iceServers": [{ "url": "stun:stun.l.google.com:19302" }] };
    });
}